#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%define rel 1.1

Summary:        File manager for KDE focusing on usability
Name:           dolphin
Epoch:          1
Version: 23.04.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://apps.kde.org/dolphin/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
Patch100:       0001-Revert_Restrict-attaching-instances-to-those-on-the-same-activity-or-same-virtual-desktop.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  cmake(KUserFeedback)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5BalooWidgets)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  pkgconfig(packagekitqt5)
BuildRequires:  pkgconfig(phonon4qt5)


Requires:       kio
Requires:       kio-extras
Requires:       kinit
Recommends:     ffmpegthumbs
Recommends:     audiocd-kio
Recommends:     kio-fuse

%description
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
  through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -f %name.lang
%_kf5_categoriesdir/dolphin.categories
%_kf5_bindir/dolphin
%_kf5_bindir/servicemenuinstaller
%_kf5_plugindir/parts/dolphinpart.so
%_qt5_plugindir/dolphin/kcms/kcm_dolphingeneral.so
%_qt5_plugindir/dolphin/kcms/kcm_dolphinnavigation.so
%_qt5_plugindir/dolphin/kcms/kcm_dolphinviewmodes.so
%_kf5_datadir/dolphin/
%_kf5_metainfodir/*.xml
%_kf5_applicationsdir/org.kde.dolphin.desktop
%_kf5_datadir/kglobalaccel/org.kde.dolphin.desktop
%_kf5_datadir/knsrcfiles/servicemenu.knsrc
%_kf5_datadir/config.kcfg/*.kcfg
%_kf5_datadir/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%_kf5_datadir/dbus-1/services/org.kde.dolphin.FileManager1.service
%_kf5_datadir/locale/*/LC_SCRIPTS/dolphin/
%_userunitdir/plasma-dolphin.service
%_kf5_datadir/kconf_update/dolphin_detailsmodesettings.upd
%_kf5_datadir/zsh/site-functions/_dolphin

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/dolphin

#--------------------------------------------------------------------

%define dolphinprivate_major 5
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}

%package -n %libdolphinprivate
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinprivate15

%description -n %libdolphinprivate
Dolphin Library.

%files -n %libdolphinprivate
%_kf5_libdir/libdolphinprivate.so.%{dolphinprivate_major}{,.*}

#--------------------------------------------------------------------

%define dolphinvcs_major 5
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}

%package -n %libdolphinvcs
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinvcs15

%description -n %libdolphinvcs
Dolphin Library.

%files -n %libdolphinvcs
%_kf5_libdir/libdolphinvcs.so.%{dolphinvcs_major}{,.*}

#--------------------------------------------------------------------

%define dolphin_devel %mklibname dolphin -d

%package -n %dolphin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libdolphinprivate = %epoch:%version-%release
Requires:       %libdolphinvcs = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %dolphin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %dolphin_devel
%_includedir/Dolphin/
%_includedir/dolphin_export.h
%_includedir/dolphinvcs_export.h
%_kf5_libdir/cmake/DolphinVcs/
%_kf5_libdir/libdolphinvcs.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name


%changelog
* Thu Aug 31 2023 daviddavid <daviddavid> 1:23.04.1-1.1.mga9
+ Revision: 1982326
- backport upstream patch to revert "Restrict attaching instances to
  those on the same activity or same virtual desktop" (mga#32216) (kde#408919)

* Sat May 27 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958816
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946417
- New version 22.12.3

* Thu Feb 16 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1943010
- New version 22.12.2

* Mon Dec 19 2022 daviddavid <daviddavid> 1:22.12.0-2.mga9
+ Revision: 1925338
- add upstream patch to Revert "portalize drag urls" (mga#31301) (kde#462928)

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922830
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1912912
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905177
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886699
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1882750
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1872994
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853888
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849394
- New version 22.03.90

* Tue Dec 28 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1764683
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1723981
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718897
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1699081
- New version 20.12.3

* Mon Mar 01 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1695110
- New version 20.12.2

* Fri Feb 12 2021 neoclust <neoclust> 1:20.12.0-8.mga8
+ Revision: 1675218
- Add P12: Fix crashes if dolphin have been opened with Live, and then installed (mga#28324)

* Fri Feb 12 2021 daviddavid <daviddavid> 1:20.12.0-7.mga8
+ Revision: 1675185
- backport some upstream fixes from 20.12 branch

* Sun Feb 07 2021 neoclust <neoclust> 1:20.12.0-6.mga8
+ Revision: 1674977
- Add P4: Fix crash in dolphin (mga#28311)

* Tue Jan 26 2021 daviddavid <daviddavid> 1:20.12.0-5.mga8
+ Revision: 1673536
- add upstream patch to fix KIO warning when URL is empty (mga#27958)

* Fri Jan 22 2021 daviddavid <daviddavid> 1:20.12.0-4.mga8
+ Revision: 1672874
- add upstream patch to show button to open knetattach inline with
  URL nav on Remote:// view
- recommend kio-fuse

* Sat Dec 19 2020 daviddavid <daviddavid> 1:20.12.0-3.mga8
+ Revision: 1661089
- add upstream patch to fix crash when device with capacitybar is dragged (mga#27819)

* Tue Dec 15 2020 daviddavid <daviddavid> 1:20.12.0-2.mga8
+ Revision: 1657756
- enable KUserFeedback support

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655535
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1643921
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633726
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 1:20.08.1-2.mga8
+ Revision: 1627706
- enable PackageKitQt5 support

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1626979
- New version 20.08.1

* Wed Aug 19 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1615686
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604043
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596774
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1585213
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568057
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559247
- New version 19.12.3

* Fri Mar 13 2020 zezinho <zezinho> 1:19.12.2-4.mga8
+ Revision: 1556141
- add recommends on audiocd-kio

* Mon Feb 24 2020 zezinho <zezinho> 1:19.12.2-3.mga8
+ Revision: 1550098
- recommend ffmpegthumbs so that preview works

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540352
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513217
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466862
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457821
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1447060
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1424911
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390370
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387574
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1381539
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375450
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365489
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356424
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1343494
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332669
- New version 18.08.3

* Tue Nov 20 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1332259
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1297484
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1228876
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201819
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194843
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186380
- New version 17.12.0

* Sat Oct 14 2017 neoclust <neoclust> 1:17.08.0-2.mga7
+ Revision: 1171874
- Add kinit as requires

* Wed Aug 23 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1144253
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1138483
- New version 17.07.90
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1130251
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1089999
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076734
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 1:16.11.90-2.mga6
+ Revision: 1075365
- Remove kinit file from devel package

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071950
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067267
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061326
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050593
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1048206
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1039988
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012478
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004268
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994803
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991121
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987385
- New version 15.12.2

* Tue Jan 19 2016 neoclust <neoclust> 1:15.12.1-2.mga6
+ Revision: 925871
- Fix minimum dependancies ( mga #16605 )

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922559
- New version 15.12.1

* Tue Jan 12 2016 neoclust <neoclust> 1:15.12.0-2.mga6
+ Revision: 922098
- Obsolete old libs

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911896
- New version 15.12.0

* Fri Nov 27 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906494
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901094
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890566
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880387
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865905
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863900
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 862058
- Remove empty dolphin.lang
- New version 15.07.90

* Wed Jul 29 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 858787
- imported package dolphin

